summaryrefslogtreecommitdiff
path: root/tests/warn/warntestrunner
diff options
context:
space:
mode:
Diffstat (limited to 'tests/warn/warntestrunner')
-rwxr-xr-xtests/warn/warntestrunner8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/warn/warntestrunner b/tests/warn/warntestrunner
new file mode 100755
index 00000000..d3a4e87a
--- /dev/null
+++ b/tests/warn/warntestrunner
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+
+set -e
+
+for testname in ${alltests}; do
+ echo "Running warning test:" $testname
+ $PYTHON $srcdir/warningtester.py "$srcdir/$testname"
+done